Loading...
Searching...
No Matches
msg_queue.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/thread/thread.h>`
`#include <pmt/pmt.h>`
`#include <deque>`
Include dependency graph for messages/msg_queue.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::messages::msg_queue
| thread-safe message queue More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::messages

## Functions

msg_queue_sptr | gr::messages::make_msg_queue (unsigned int limit=0)